<?php

namespace App\Filament\Admin\Resources\Vocabularies\Schemas;

use Filament\Forms\Components\TextInput;
use Filament\Forms\Components\Textarea;
use Filament\Schemas\Schema;

class VocabularyForm
{
    public static function configure(Schema $schema): Schema
    {
        return $schema
            ->components([
                TextInput::make('word')
                    ->required(),
                TextInput::make('reading'),
                TextInput::make('romaji'),
                TextInput::make('meaning_en'),
                TextInput::make('meaning_id'),
                TextInput::make('level_id'),
                TextInput::make('audio_url')
                    ->url(),
                TextInput::make('type'),
                Textarea::make('stroke_order_svg')
                    ->columnSpanFull(),
                Textarea::make('example_sentences')
                    ->columnSpanFull(),
            ]);
    }
}
